#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Classe des vecteurs du plan.

fichier : vecteur2D.py
@author: bob
"""

# Définition de classe ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
class Vecteur2D:
    """Vecteurs 2D."""
    
    def __init__(self, x, y):
        """Constructeur avec coordonnées."""
        self.x = x
        self.y = y
        
    def __add__(self, other):  # surcharge de l'opérateur +
        """Addition vectorielle."""
        return Vecteur2D(self.x + other.x, self.y + other.y)
    
    def __str__(self):
        """Affichage d'un vecteur2D."""
        return(f"Vecteur{self.x, self.y}")

# Programme principal ==========================================================
v1 = Vecteur2D(1.2, 2.3)
print(v1)
v2 = Vecteur2D(3.4, 4.5)
print(v2)
print(v1 + v2)
